### Type parameters

- #### A

- #### B

- #### C

- #### D

- #### E

### Hierarchy

- TransactGetRequestBase
  - TransactGetRequest5

## Index

### Properties

- params

### Methods

- exec
- execFullResponse
- execNoMap
- forModel

## Properties

### params

params: TransactGetItemsInput

Inherited from TransactGetRequestBase.params

- Defined in dynamo/transactget/transact-get.request.type.ts:7

## Methods

### exec

- exec(): Observable<[A, B, C, D, E]>

- - Defined in dynamo/transactget/transact-get.request.type.ts:48

  #### Returns Observable<[A, B, C, D, E]>

### execFullResponse

- execFullResponse(): Observable<TransactGetFullResponse<[A, B, C, D, E]>>

- - Defined in dynamo/transactget/transact-get.request.type.ts:46

  #### Returns Observable<TransactGetFullResponse<[A, B, C, D, E]>>

### execNoMap

- execNoMap(): Observable<TransactGetItemsOutput>

- Inherited from TransactGetRequestBase.execNoMap

  - Defined in dynamo/transactget/transact-get.request.type.ts:8

  #### Returns Observable<TransactGetItemsOutput>

### forModel

- forModel<F>(modelClazz: ModelConstructor<F>, key: Partial<F>): TransactGetRequest6<A, B, C, D, E, F>

- - Defined in dynamo/transactget/transact-get.request.type.ts:44

  #### Type parameters

  - #### F

  #### Parameters

  - ##### modelClazz: ModelConstructor<F>

  - ##### key: Partial<F>

  #### Returns TransactGetRequest6<A, B, C, D, E, F>

Generated using TypeDoc